* BASE Table
SELECT * FROM NETFIN.BASE
ORDER BY SYSTEM_ID
*
DELETE FROM NETFIN.BASE
WHERE BASE_DATE < CURRENT DATE - 30 DAYS


* DISKETTE Table
SELECT * FROM NETFIN.DISKETTE
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY LOGICAL_DRIVE
*
DELETE FROM NETFIN.DISKETTE
WHERE SYSTEM_ID = 'XXXXXX'


* DISPLAY Table
SELECT * FROM NETFIN.DISPLAY
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY VIDEO_SUBSYSTEM
*
DELETE FROM NETFIN.DISPLAY
WHERE SYSTEM_ID = 'XXXXXX'


* EXPANSION_SLOT Table
SELECT * FROM NETFIN.EXPANSION_SLOT
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY SLOT
*
DELETE FROM NETFIN.EXPANSION_SLOT
WHERE SYSTEM_ID = 'XXXXXX'


* FIXED_DISK Table
SELECT * FROM NETFIN.FIXED_DISK
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY PHYSICAL_DRIVE
*
DELETE FROM NETFIN.FIXED_DISK
WHERE SYSTEM_ID = 'XXXXXX'


*LOGICAL_DRIVE Table
SELECT * FROM NETFIN.LOGICAL_DRIVE
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY LOGICAL_NAME
*
DELETE FROM NETFIN.LOGICAL_DRIVE
WHERE SYSTEM_ID = 'XXXXXX'


* KEYBOARD Table
SELECT * FROM NETFIN.KEYBOARD
WHERE SYSTEM_ID = 'XXXXXX'
*
DELETE FROM NETFIN.KEYBOARD
WHERE SYSTEM_ID = 'XXXXXX'


* MODEL Table
SELECT * FROM NETFIN.MODEL
WHERE SYSTEM_ID = 'XXXXXX'
*
DELETE FROM NETFIN.MODEL
WHERE SYSTEM_ID = 'XXXXXX'


* MOUSE Table
SELECT * FROM NETFIN.MOUSE
WHERE SYSTEM_ID = 'XXXXXX'
*
DELETE FROM NETFIN.MOUSE
WHERE SYSTEM_ID = 'XXXXXX'


* PRINTER Table
SELECT * FROM NETFIN.PRINTER
WHERE SYSTEM_ID = 'XXXXXX'
*
DELETE FROM NETFIN.PRINTER
WHERE SYSTEM_ID = 'XXXXXX'


* PROCESSOR Table
SELECT * FROM NETFIN.PROCESSOR
WHERE SYSTEM_ID = 'XXXXXX'
*
SELECT * FROM NETFIN.PROCESSOR
WHERE PROCESSOR_SPEED =
  (SELECT MAX(PROCESSOR_SPEED)
   FROM NETFIN.PROCESSOR)
*
DELETE FROM NETFIN.PROCESSOR
WHERE SYSTEM_ID = 'XXXXXX'


* SYSLEVEL_TABLE Table
SELECT * FROM NETFIN.SYSLEVEL
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY PRODUCT_ID
*
DELETE FROM NETFIN.SYSLEVEL
WHERE SYSTEM_ID = 'XXXXXX'


* MEMORY Table
SELECT * FROM NETFIN.MEMORY
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY CONNECTOR_ID
*
SELECT SYSTEM_ID SUM(MEMORY_SIZE) MEMORY_TYPE FROM NETFIN.MEMORY
GROUP BY SYSTEM_ID, MEMORY_TYPE
DELETE FROM NETFIN.MEMORY
WHERE SYSTEM_ID = 'XXXXXX'


* DASD_ADAPTER Table
SELECT * FROM NETFIN.DASD_ADAPTER
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY PHYSICAL_UNIT
*
DELETE FROM NETFIN.DASD_ADAPTER
WHERE SYSTEM_ID = 'XXXXXX'


* DASD_DEVICE Table
SELECT * FROM NETFIN.DASD_DEVICE
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY PHYSICAL_UNIT
*
DELETE FROM NETFIN.DASD_DEVICE
WHERE SYSTEM_ID = 'XXXXXX'


* SYSTEM_PROFILE Table
SELECT * FROM NETFIN.SYSTEM_PROFILE
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY SYSTEM_ID
*
DELETE FROM NETFIN.SYSTEM_PROFILE
WHERE SYSTEM_ID = 'XXXXXX'


* SYSTEM_USER Table
SELECT * FROM NETFIN.SYSTEM_USER
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY SYSTEM_ID
*
DELETE FROM NETFIN.SYSTEM_USER
WHERE SYSTEM_ID = 'XXXXXX'


* SYSTEM_LOCATION Table
SELECT * FROM NETFIN.SYSTEM_LOCATION
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY SYSTEM_ID
*
DELETE FROM NETFIN.SYSTEM_LOCATION
WHERE SYSTEM_ID = 'XXXXXX'


* SYSTEM_CONTACTS Table
SELECT * FROM NETFIN.SYSTEM_CONTACTS
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY SYSTEM_ID
*
DELETE FROM NETFIN.SYSTEM_CONTACTS
WHERE SYSTEM_ID = 'XXXXXX'


* SYSTEM_MISC Table
SELECT * FROM NETFIN.SYSTEM_MISC
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY SYSTEM_ID
*
DELETE FROM NETFIN.SYSTEM_MISC
WHERE SYSTEM_ID = 'XXXXXX'


* ALERT_LOG Table
SELECT * FROM NETFIN.ALERT_LOG
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY SYSTEM_ID
*
DELETE FROM NETFIN.ALERT_LOG
WHERE SYSTEM_ID = 'XXXXXX'


* MONITOR_STATE Table
SELECT * FROM NETFIN.MONITOR_STATE
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY SYSTEM_ID
*
DELETE FROM NETFIN.MONITOR_STATE
WHERE SYSTEM_ID = 'XXXXXX'


* MONITOR_VALUE Table
SELECT * FROM NETFIN.MONITOR_VALUE
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY SYSTEM_ID
*
DELETE FROM NETFIN.MONITOR_VALUE
WHERE SYSTEM_ID = 'XXXXXX'


* SOFTWARE_INVENTORY Table
SELECT * FROM NETFIN.SOFTWARE_INVENTORY
WHERE SYSTEM_ID = 'XXXXXX'
ORDER BY SYSTEM_ID
*
DELETE FROM NETFIN.SOFTWARE_INVENTORY
WHERE SYSTEM_ID = 'XXXXXX'
